httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Roy T. Fielding" <field...@gbiv.com>
Subject Re: svn commit: r425677 - /httpd/httpd/branches/2.2.x/STATUS
Date Fri, 28 Jul 2006 18:16:36 GMT
On Jul 28, 2006, at 2:31 AM, Nick Kew wrote:

> I'm in two minds about that.  There is the workaround of
> configure --with-pcre
> but where does that leave packages?  PR#27550 names two
> modules that needed to work around the bundled PCRE:
> mod_php and mod_caml.  That implies two workarounds for the
> same problem.  What if the PHP and CAML folks (or AN Other with
> the same problem) were to adopt mutually incompatible solutions?
>
> AFAICT the only mitigating circumstance is that this patch is not
> the underlying problem, so I'm complaining at a symptom rather
> than the cause.  But it feels like "when in a hole, dig deeper".

Your reasoning may be valid for trunk, but not for 2.2.  2.2 is
saddled with a builtin PCRE and it would be foolish not to fix
its bugs to the extent that we can do so without breaking binaries.

I suggest you put the energy into finding a clean way to remove
PCRE from trunk.  Until we do that, "no patches to PCRE" is an
irresponsible position -- we have to maintain the code that we ship.

....Roy


Mime
View raw message